Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1470448 (php-simplesamlphp-saml2_3) - Review Request: php-simplesamlphp-saml2_3 - SAML2 PHP library from SimpleSAMLphp (version 3)
Summary: Review Request: php-simplesamlphp-saml2_3 - SAML2 PHP library from SimpleSAML...
Keywords:
Status: CLOSED ERRATA
Alias: php-simplesamlphp-saml2_3
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-13 01:24 UTC by Shawn Iwinski
Modified: 2017-09-30 06:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-12 00:21:30 UTC
Type: ---
Embargoed:
fedora: fedora-review+


Attachments (Terms of Use)
phpci.log (deleted)
2017-08-25 07:33 UTC, Remi Collet
no flags Details
review.txt (deleted)
2017-08-25 07:33 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2017-07-13 01:24:45 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/258220f322a41eb3a50fa85dad830e086d849779/php-simplesamlphp-saml2_3/php-simplesamlphp-saml2_3.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-simplesamlphp-saml2_3-3.0.0-1.fc26.src.rpm

Description: 
A PHP library for SAML2 related functionality. Extracted from SimpleSAMLphp [1],
used by OpenConext [2]. This library started as a collaboration between
UNINETT [3] and SURFnet [4] but everyone is invited to contribute.

[1] https://www.simplesamlphp.org/
[2] https://www.openconext.org/
[3] https://www.uninett.no/
[4] https://www.surfnet.nl/


Fedora Account System Username: siwinski

Comment 1 Remi Collet 2017-07-13 11:45:17 UTC
fedora-review detects a corrupted archive.

You need to pull a git snapshot to workaround the .gitattributes

Comment 3 Remi Collet 2017-08-21 11:28:18 UTC
Can you please check dependency on mcrypt, as this raise test failure:

There were 8 errors:
1) SAML2\AssertionTest::testEncryptedAttributeValuesWithComplexTypeValuesAreParsedCorrectly
Use of undefined constant MCRYPT_RIJNDAEL_128 - assumed 'MCRYPT_RIJNDAEL_128'
/usr/share/php/RobRichards/XMLSecLibs/XMLSecurityKey.php:136
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/Assertion.php:1620
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/Assertion.php:1354
/builddir/build/BUILD/saml2-bacad25473258cfefb7a7fd418cc5f8a22cda0a1/tests/SAML2/AssertionTest.php:744
2) SAML2\AssertionTest::testTypedEncryptedAttributeValuesAreParsedCorrectly
Use of undefined constant MCRYPT_RIJNDAEL_128 - assumed 'MCRYPT_RIJNDAEL_128'
/usr/share/php/RobRichards/XMLSecLibs/XMLSecurityKey.php:136
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/Assertion.php:1620
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/Assertion.php:1354
/builddir/build/BUILD/saml2-bacad25473258cfefb7a7fd418cc5f8a22cda0a1/tests/SAML2/AssertionTest.php:789
3) SAML2\AssertionTest::testNameIdEncryption
Use of undefined constant MCRYPT_RIJNDAEL_128 - assumed 'MCRYPT_RIJNDAEL_128'
/usr/share/php/RobRichards/XMLSecLibs/XMLSecurityKey.php:122
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/Assertion.php:765
/builddir/build/BUILD/saml2-bacad25473258cfefb7a7fd418cc5f8a22cda0a1/tests/SAML2/AssertionTest.php:1574
4) SAML2\AuthnRequestTest::testThatAnEncryptedNameIdCanBeDecrypted
Exception: Failed to decrypt XML element.
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/Utils.php:558
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/AuthnRequest.php:655
/builddir/build/BUILD/saml2-bacad25473258cfefb7a7fd418cc5f8a22cda0a1/tests/SAML2/AuthnRequestTest.php:178
Caused by
Exception: Could not locate key algorithm in encrypted data.
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/Utils.php:413
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/Utils.php:551
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/AuthnRequest.php:655
/builddir/build/BUILD/saml2-bacad25473258cfefb7a7fd418cc5f8a22cda0a1/tests/SAML2/AuthnRequestTest.php:178
5) SAML2\AuthnRequestTest::testThatAnEncryptedNameIdResultsInTheCorrectXmlStructure
Use of undefined constant MCRYPT_RIJNDAEL_128 - assumed 'MCRYPT_RIJNDAEL_128'
/usr/share/php/RobRichards/XMLSecLibs/XMLSecurityKey.php:122
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/AuthnRequest.php:634
/builddir/build/BUILD/saml2-bacad25473258cfefb7a7fd418cc5f8a22cda0a1/tests/SAML2/AuthnRequestTest.php:203
6) SAML2\LogoutRequestTest::testUnmarshalling
Exception: Failed to decrypt XML element.
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/Utils.php:558
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/LogoutRequest.php:164
/builddir/build/BUILD/saml2-bacad25473258cfefb7a7fd418cc5f8a22cda0a1/tests/SAML2/LogoutRequestTest.php:88
Caused by
Exception: Could not locate key algorithm in encrypted data.
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/Utils.php:413
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/Utils.php:551
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/LogoutRequest.php:164
/builddir/build/BUILD/saml2-bacad25473258cfefb7a7fd418cc5f8a22cda0a1/tests/SAML2/LogoutRequestTest.php:88
7) SAML2\LogoutRequestTest::testEncryptedNameId
Use of undefined constant MCRYPT_RIJNDAEL_128 - assumed 'MCRYPT_RIJNDAEL_128'
/usr/share/php/RobRichards/XMLSecLibs/XMLSecurityKey.php:122
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/LogoutRequest.php:142
/builddir/build/BUILD/saml2-bacad25473258cfefb7a7fd418cc5f8a22cda0a1/tests/SAML2/LogoutRequestTest.php:98
8) SAML2\LogoutRequestTest::testDecryptingNameId
Exception: Failed to decrypt XML element.
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/Utils.php:558
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/LogoutRequest.php:164
/builddir/build/BUILD/saml2-bacad25473258cfefb7a7fd418cc5f8a22cda0a1/tests/SAML2/LogoutRequestTest.php:112
Caused by
Exception: Could not locate key algorithm in encrypted data.
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/Utils.php:413
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/Utils.php:551
/builddir/build/BUILDROOT/php-simplesamlphp-saml2_3-3.0.2-1.fc27.x86_64/usr/share/php/SAML2_3/LogoutRequest.php:164
/builddir/build/BUILD/saml2-bacad25473258cfefb7a7fd418cc5f8a22cda0a1/tests/SAML2/LogoutRequestTest.php:112

Comment 4 Shawn Iwinski 2017-08-21 16:53:48 UTC
https://github.com/simplesamlphp/saml2/issues/101

Comment 6 Remi Collet 2017-08-25 07:33:13 UTC
Created attachment 1318038 [details]
phpci.log

phpCompatInfo version 5.0.8 DB version 1.23.0 built Jul 17 2017
     20:33:14 CEST static analyze results

Comment 7 Remi Collet 2017-08-25 07:33:40 UTC
Created attachment 1318039 [details]
review.txt

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1470448
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api

Comment 8 Remi Collet 2017-08-25 07:35:34 UTC
[x]: Package complies to the Packaging Guidelines

Notice: minimal review as php-simplesamlphp-saml2 is already approved

BTW, will be nice to have robrichards/xmlseclibs v3



=== APPROVED ===

Comment 9 Remi Collet 2017-08-25 08:02:50 UTC
> BTW, will be nice to have robrichards/xmlseclibs v3

Forget my comment, we already have it...
/me need more Holidays

Comment 11 Gwyn Ciesla 2017-08-25 17:08:26 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-simplesamlphp-saml2_3

Comment 12 Remi Collet 2017-08-25 17:14:03 UTC
Notice: it could be  better solution to require obrichards/xmlseclibs v3, which allow to drop build dependency on mcrypt (especially as I don't know yet if I will provide it for 7.2, even if a pecl package exists)

Comment 13 Shawn Iwinski 2017-08-30 12:28:31 UTC
> Notice: it could be  better solution to require obrichards/xmlseclibs v3, which allow to drop build dependency on mcrypt (especially as I don't know yet if I will provide it for 7.2, even if a pecl package exists)

Agreed and done

Comment 14 Fedora Update System 2017-09-01 11:55:56 UTC
php-simplesamlphp-saml2_3-3.0.2-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5e97020e4c

Comment 15 Fedora Update System 2017-09-01 12:54:11 UTC
php-simplesamlphp-saml2_3-3.0.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-852dc3f8f2

Comment 16 Fedora Update System 2017-09-03 19:52:34 UTC
php-simplesamlphp-saml2_3-3.0.2-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8b5a11a6a8

Comment 17 Fedora Update System 2017-09-12 00:21:30 UTC
php-simplesamlphp-saml2_3-3.0.2-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-09-12 10:52:22 UTC
php-simplesamlphp-saml2_3-3.0.2-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-09-30 06:06:29 UTC
php-simplesamlphp-saml2_3-3.0.2-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.